%define module	IO-Socket-INET6

Summary:	Object interface for AF_INET|AF_INET6 domain sockets
Name:		perl-%{module}
Version:	2.54
Release:	%mkrel 2
License:	BSD-like
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/IO/%{module}-%{version}.tar.gz
BuildRequires:	perl-Socket6
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
IO::Socket::INET6 provides an object interface to creating and using sockets in
both AF_INET|AF_INET6 domain. It is built upon the IO::Socket interface and
inherits all the methods defined by IO::Socket.

%prep
%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/IO
%{_mandir}/man3/*


%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.54-2mdv2009.0
+ Revision: 223797
- rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.54-1mdv2008.1
+ Revision: 174667
- update to new version 2.54
- update to new version 2.54

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.53-1mdv2008.1
+ Revision: 173869
- update to new version 2.53

* Wed Feb 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.52-1mdv2008.1
+ Revision: 162987
- new version
  drop patch, merged upstream

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.51-2mdv2008.1
+ Revision: 154096
- fix #36889 (IO-Socket-INET6 emits many warnings):
  - Added the patch with the fixes to the export / import symbols warnings
    and the testing (Shlomi Fish).
  - Restored the "percent-check" phase with "make test" (Shlomi Fish).

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 2.51-1mdk
- initial mandrake package

